polygene-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From paulmer...@apache.org
Subject [3/4] polygene-java git commit: upgrade a bunch of libraries, extensions, tools and tests dependencies
Date Mon, 06 Mar 2017 11:35:32 GMT
upgrade a bunch of libraries, extensions, tools and tests dependencies


Project: http://git-wip-us.apache.org/repos/asf/polygene-java/repo
Commit: http://git-wip-us.apache.org/repos/asf/polygene-java/commit/4bca3d7f
Tree: http://git-wip-us.apache.org/repos/asf/polygene-java/tree/4bca3d7f
Diff: http://git-wip-us.apache.org/repos/asf/polygene-java/diff/4bca3d7f

Branch: refs/heads/develop
Commit: 4bca3d7fb9a9750ae26e58160004d3f858c0ba41
Parents: 98010b4
Author: Paul Merlin <paulmerlin@apache.org>
Authored: Mon Mar 6 11:35:05 2017 +0100
Committer: Paul Merlin <paulmerlin@apache.org>
Committed: Mon Mar 6 11:35:05 2017 +0100

----------------------------------------------------------------------
 dependencies.gradle | 46 +++++++++++++++++++++++-----------------------
 1 file changed, 23 insertions(+), 23 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/polygene-java/blob/4bca3d7f/dependencies.gradle
----------------------------------------------------------------------
diff --git a/dependencies.gradle b/dependencies.gradle
index 09b2c5a..61f2b2a 100644
--- a/dependencies.gradle
+++ b/dependencies.gradle
@@ -41,39 +41,39 @@ dependencies.libraries << [
 // Extensions, Libraries and Tools dependencies
 def bonecpVersion = '0.8.0.RELEASE'
 def bouncyVersion = '1.55'
-def cassandraClientVersion = '3.1.3'
-def codahaleMetricsVersion = '3.1.2'
+def cassandraClientVersion = '3.1.4'
+def codahaleMetricsVersion = '3.2.0'
 def commonsDbcpVersion = '2.1.1'
 def commonsLangVersion = '3.5'
 def derbyVersion = '10.13.1.1'
 def ehcacheVersion = '3.3.0'
-def elasticsearchVersion = '5.0.1'
+def elasticsearchVersion = '5.2.2'
 def freemarkerVersion = '2.3.25-incubating'
-def geodeVersion = '1.0.0-incubating'
-def groovyVersion = '2.4.7'
-def hazelcastVersion = '3.7.3'
-def httpClientVersion = '4.5.2'
-def jacksonVersion = '2.8.5'
+def geodeVersion = '1.1.0'
+def groovyVersion = '2.4.9'
+def hazelcastVersion = '3.8'
+def httpClientVersion = '4.5.3'
+def jacksonVersion = '2.8.7'
 def javascriptVersion = '1.7.7.1'
 def javasqlgeneratorVersion = '0.3.2'
 def jaxbApiVersion = '2.2.12'
-def jcloudsVersion = '2.0.0'
+def jcloudsVersion = '2.0.1'
 def jdbmVersion = '2.4'
 def jedisVersion = '2.9.0'
 def jettyVersion = '9.2.17.v20160517' // 9.3.x Tests fail!
 def leveldbVersion = '0.9'
 def leveldbJniVersion = '1.8'
 def liquibaseVersion = '3.5.3'
-def mongodbVersion = '3.4.0'
-def restletVersion = '2.3.7'
+def mongodbVersion = '3.4.2'
+def restletVersion = '2.3.9'
 def rdfVersion = '2.7.16' // 2.8.x change query results!! 4.x exists
 def riakVersion = '2.1.1'
 def servletVersion = '3.1.0'
 def shiroVersion = '1.3.2'
-def slf4jVersion = '1.7.21'
+def slf4jVersion = '1.7.24'
 def solrVersion = "1.4.1" // 4.x Fails to compile!
-def springVersion = '4.3.4.RELEASE'
-def spymemcachedVersion = '2.12.1'
+def springVersion = '4.3.7.RELEASE'
+def spymemcachedVersion = '2.12.2'
 def velocityVersion = '1.7'
 dependencies.libraries << [
   bonecp              : "com.jolbox:bonecp:$bonecpVersion",
@@ -160,7 +160,7 @@ dependencies.libraries << [
 
 // Tools dependencies
 def jgoodiesLooksVersion = '2.7.0'
-def pdfboxVersion = '2.0.3'
+def pdfboxVersion = '2.0.4'
 def prefuseVersion = '1.0.1'
 dependencies.libraries << [
   jgoodies_looks: "com.jgoodies:jgoodies-looks:$jgoodiesLooksVersion",
@@ -170,19 +170,19 @@ dependencies.libraries << [
 
 // Runtime, Test and Samples dependencies
 def awaitilityVersion = '2.0.0'
-def dnsJavaVersion = '2.1.7'
+def dnsJavaVersion = '2.1.8'
 def dockerJUnitVersion = '0.3'
 def easyMockVersion = '3.4'
-def embedMongoVersion = '1.50.5'
+def embedMongoVersion = '1.50.5' // 2.0.0 exists
 def h2Version = '1.4.193'
 def hamcrestVersion = '1.3'
 def jaxRsApiVersion = '2.0.1'
 def junitVersion = '4.12'
-def logbackVersion = '1.1.7'
-def mockitoVersion = '2.2.9'
-def mysqlVersion = '6.0.4'
-def postgresqlVersion = '9.4.1211'
-def sqliteVersion = '3.14.2.1'
+def logbackVersion = '1.2.1'
+def mockitoVersion = '2.7.14'
+def mysqlVersion = '6.0.5'
+def postgresqlVersion = '42.0.0'
+def sqliteVersion = '3.16.1'
 dependencies.libraries << [
   awaitility        : "org.awaitility:awaitility:$awaitilityVersion",
   derby             : "org.apache.derby:derby:$derbyVersion",
@@ -254,7 +254,7 @@ dependencies.dependencySubstitutionSpec = { DependencySubstitution substitution,
 
 // Build Tools
 dependencies.buildToolsVersions << [
-  jacoco: '0.7.8'
+  jacoco: '0.7.9'
 ]
 
 // Docker Images


Mime
View raw message